### Method

# GLib Queue peek_nth_link

since: 2.4

#### Declaration

    GList*
    g_queue_peek_nth_link (
      GQueue* queue,
      guint n
    )

#### Description

Returns the link at the given position.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`n`

  Type: `guint`

  The position of the link.

#### Return value

Type: A list of `gpointer`

The link at the `n`‘th position, or `NULL` if `n` is off the end of the list.

The data is owned by the instance.